> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 単一のユーザーの取得

> 指定したキーを使用して単一の users オブジェクトを返します。



## OpenAPI

````yaml 26.4/self-hosted/ja/api-reference/openapi.json GET /users('{User}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /users('{User}'):
    get:
      tags:
        - users
      summary: 単一のユーザーの取得
      description: 指定したキーを使用して単一の users オブジェクトを返します。
      operationId: getusers
      parameters:
        - name: User
          in: path
          description: キー User
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: 構造プロパティを選択します
      responses:
        '200':
          description: users レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/users'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    users:
      type: object
      properties:
        User:
          description: ユーザー名。
          type: string
        UserId:
          description: ユーザーのId。
          type: string
        EmailAddress:
          description: ユーザーのメールアドレス。
          type: string
        Password:
          description: 認証に使用するパスワード。書き込み専用で、読み取り時はマスクされます。
          type: string
        FederationId:
          description: SSO 認証用のフェデレーションId。
          type: string
        Roles:
          description: ユーザーに割り当てられたロール（名前）。
          type: string
        Active:
          description: ユーザーが有効かどうか。デフォルトはtrue です。
          type: string
        Authtoken:
          description: ユーザーのプライマリ認証トークン。読み取り時はマスクされます。
          type: string
        ExpiresIn:
          description: 認証トークンの有効期限までの日数。-1 は無期限を意味します。
          type: string
        ExpiresAt:
          description: 認証トークンの有効期限のタイムスタンプ。無期限の場合はnull。
          type: integer
          format: int64
        Type:
          description: アカウントの種類：'standard' または'service'。
          type: string
        ClientId:
          description: OAuth クライアントId。
          type: string
        MFAStatus:
          description: ユーザーでMFA が有効かどうか。
          type: string
        ExpirationTime:
          description: 一時アカウントの有効期限（UNIX タイムスタンプ）。
          type: integer
          format: int64
        ResetPassword:
          description: 次回ログイン時にパスワードのリセットが必要かどうか。
          type: string
        TrustedIPs:
          description: 許可するIP アドレスのリスト（ホワイトリスト）。
          type: string
        BlockedIPs:
          description: ブロックするIP アドレスのリスト（ブラックリスト）。
          type: string
      required:
        - User
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.